<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/ClassTree/ClassTree.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.ClassTree.ClassTree</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../ClassTree.html" >ClassTree</a>
</div><div class="class-name">class ClassTree

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/ClassTree.py.html" target="detail">../Synopsis/Formatters/ClassTree.py</a></div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line14" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="ClassTree-inheritance" src="ClassTree-inheritance.png" hspace="8" vspace="8" border="0" usemap="#ClassTree-inheritance_map" />
<map name="ClassTree-inheritance_map"></map>
 <div class="doc">Maintains a tree of classes directed by inheritance. This object always
    exists in HTML&#44; since it is used for other things such as printing class bases.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_make_graphs">_make_graphs</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree._make_graphs" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line99" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__superclasses">__superclasses</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line20" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__subclasses">__subclasses</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line21" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__classes">__classes</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line22" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="__buckets">__buckets</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line24" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line19" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ClassTree.html#add_inheritance" >add_inheritance</a></span>(<span class="variable">self</span>, <span class="variable">supername</span>, <span class="variable">subname</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.add_inheritance" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line26" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds an edge to the graph.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ClassTree.html#subclasses" >subclasses</a></span>(<span class="variable">self</span>, <span class="variable">classname</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.subclasses" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line46" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ClassTree.html#superclasses" >superclasses</a></span>(<span class="variable">self</span>, <span class="variable">classname</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.superclasses" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line55" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a sorted list of all classes the given class derives
        from.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ClassTree.html#classes" >classes</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.classes" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line66" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ClassTree.html#add_class" >add_class</a></span>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.add_class" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line71" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ClassTree.html#roots" >roots</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.roots" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line78" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ClassTree.html#graphs" >graphs</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.graphs" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line86" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a list of graphs.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ClassTree.html#leaves" >leaves</a></span>(<span class="variable">self</span>, <span class="variable">graph</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.leaves" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line93" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a list of leaves in the given graph.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_scope">visit_scope</a>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.visit_scope" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line122" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="ClassTree.html#visit_class" >visit_class</a></span>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.visit_class" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line126" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="add_inheritance">add_inheritance</a>(<span class="variable">self</span>, <span class="variable">supername</span>, <span class="variable">subname</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.add_inheritance" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line26" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds an edge to the graph. Supername and subname are the scoped
        names of the two classes involved in the edge&#44; and are copied before
        being stored.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="subclasses">subclasses</a>(<span class="variable">self</span>, <span class="variable">classname</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.subclasses" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line46" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a sorted list of all classes derived from the given
        class</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="superclasses">superclasses</a>(<span class="variable">self</span>, <span class="variable">classname</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.superclasses" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line55" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a sorted list of all classes the given class derives
        from. The classes are returned as scoped names&#44; which you may use to
        lookup the class declarations in the 'types' dictionary if you need
        to.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="classes">classes</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.classes" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line66" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a sorted list of all class names</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="add_class">add_class</a>(<span class="variable">self</span>, <span class="variable">name</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.add_class" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line71" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds a class to the list of classes by name</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="roots">roots</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.roots" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line78" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a list of classes that have no superclasses</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="graphs">graphs</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.graphs" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line86" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a list of graphs. Each graph is just a list of connected
        classes.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="leaves">leaves</a>(<span class="variable">self</span>, <span class="variable">graph</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.leaves" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line93" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Returns a list of leaves in the given graph. A leaf is a class with
        no subclasses</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_class">visit_class</a>(<span class="variable">self</span>, <span class="variable">class_</span>)  </div> <div class="xref"><a href="../../../../XRef/xref3.html#Synopsis.Formatters.ClassTree.ClassTree.visit_class" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/ClassTree.py.html#line126" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Adds this class and all edges to the lists</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
